/*
 * DataFileNotFoundException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * データファイルが存在しない場合に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class DataFileNotFoundException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 1186465961137673782L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public DataFileNotFoundException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public DataFileNotFoundException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public DataFileNotFoundException(String msg, Exception cause) {
		super(msg, cause);
	}
}
